import React from 'react'
import Link from 'next/link'
import Logo from '../components/logo'

const Nav = () => (
  <nav>
    <ul>
      <li>
        <Logo />
      </li>
      <li>
        <Link href='/'>
          <a>Home</a>
        </Link>
      </li>
    </ul>

    <style jsx>{`
      :global(body) {
        margin: 0;
      }
      nav {
        grid-area: header;
      }
      ul {
        display: flex;
        justify-content: space-between;
      }
      nav > ul {
        padding: 4px 16px;
      }
      li {
        display: flex;
        padding: 6px 8px;
      }
      a {
        color: #067df7;
        text-decoration: none;
        font-size: 13px;
      }
    `}</style>
  </nav>
)

export default Nav
